--- kdebase.orig/kdm/kfrontend/genkdmconf.c	2002-09-20 16:40:44.000000000 +0100
+++ kdebase/kdm/kfrontend/genkdmconf.c	2002-09-20 16:47:38.000000000 +0100
@@ -734,7 +734,7 @@
 "Program=\n"
 "ReverseBlending=false\n"
 "UseSHM=false\n"
-"Wallpaper=default_blue.jpg\n"
+"Wallpaper=debian.jpg\n"
 "WallpaperList=\n"
 "WallpaperMode=Scaled\n";
 
@@ -1990,7 +1990,7 @@
 { "Xservers",		"", 0 },
 { "PidFile",		"/var/run/kdm.pid", 1 },
 { "LockPidFile",	"false", 0 },
-{ "AuthDir",		"/tmp", 0 },
+{ "AuthDir",		"/var/lib/kdm", 1 },
 { "AutoRescan",		"false", 0 },
 #ifdef sun
 { "ExportList",		"LD_LIBRARY_PATH", 1 },
@@ -2065,10 +2065,10 @@
 };
 
 static DEnt dEntsAnyGreeter[] = {
-{ "SessionTypes",	"default,kde,failsafe", 1 },
+{ "SessionTypes",	"default,kde3,failsafe", 1 },
 { "GUIStyle",		"Windows", 0 },
 { "ColorScheme",	"Pumpkin", 0 },
-{ "LogoArea",		"None", 0 },
+{ "LogoArea",		"Clock", 1 },
 { "LogoPixmap",		"", 0 },
 { "GreeterPosFixed",	"true", 0 },
 { "GreeterPosX",	"200", 0 },
@@ -2077,14 +2077,14 @@
 { "GreetFont",		"charter,24,5,0,50,0", 0 },
 { "StdFont",		"helvetica,12,5,0,50,0", 0 },
 { "FailFont",		"helvetica,12,5,0,75,0", 0 },
-{ "AntiAliasing",	"true", 0 },
+{ "AntiAliasing",	"true", 1 },
 { "NumLock",		"Off", 0 },
 { "Language",		"de_DE", 0 },
 { "ShowUsers",		"None", 0 },
 { "SelectedUsers",	"root,johndoe", 0 },
 { "HiddenUsers",	"root", 0 },
-{ "MinShowUID",		"", 0 },
-{ "MaxShowUID",		"", 0 },
+{ "MinShowUID",		"1000", 1 },
+{ "MaxShowUID",		"29999", 1 },
 { "SortUsers",		"false", 0 },
 { "FaceSource",		"PreferUser", 0 },
 { "PreselectUser",	"Previous", 0 },
